/************************************************************************/
/*                                                                      */
/*    ToggleBlink.pde                                                   */
/*                                                                      */
/*    A simple program to toggle LEDs 1 & 2 back and forth              */
/*                                                                      */
/************************************************************************/
/*    Author:     Keith Vogel                                           */
/*    Copyright 2013, Digilent Inc.                                     */
/************************************************************************/
/*
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
/************************************************************************/
/*                                                                      */
/*                                                                      */
/************************************************************************/
/*  Revision History:                                                   */
/*                                                                      */
/*    5/7/2013 (KeithV): Created                                       */
/*                                                                      */
/************************************************************************/

/***    void setup()
 *
 *    Parameters:
 *          None
 *              
 *    Return Values:
 *          None
 *
 *    Description: 
 *    
 *      Arduino setup function.
 *      
 *      Initialize the LED output pins
 *      
 * ------------------------------------------------------------ */
void setup() 
{                
    // initialize the digital pin as an output.
    // Pin PIN_LED1 and PIN_LED2 have LEDs connecton on most boards:
    // Early Max32 boards do not have a LED2, so just comment LED2 out 
    // if LED 2 does not exist.
    pinMode(PIN_LED1, OUTPUT);     
    pinMode(PIN_LED2, OUTPUT);     
}

/***    void loop()
 *
 *    Parameters:
 *          None
 *              
 *    Return Values:
 *          None
 *
 *    Description: 
 *    
 *      Arduino loop function.
 *      
 *      Toggles LED 1 & 2 back and forth 
 *      Each blink is a half a second
 *      Total cycle is 1 second.
 *
 * ------------------------------------------------------------ */
void loop() 
{
    digitalWrite(PIN_LED1, HIGH);   // set LED1 on
    digitalWrite(PIN_LED2, LOW);    // set LED2 off

    delay(500);                     // wait half a second

    digitalWrite(PIN_LED1, LOW);    // set LED1 off
    digitalWrite(PIN_LED2, HIGH);   // set LED2 on

    delay(500);                     // wait half a second
}
